This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 849653

Summary: Can't upload byteman script as child resource
Product: [Other] RHQ Project Reporter: Rene Ilger <rene.illger>
Component: PluginsAssignee: RHQ Project Maintainer <rhq-maint>
Status: NEW --- QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 4.4CC: hrupp, rene.illger
Target Milestone: ---Flags: hrupp: needinfo? (rene.illger)
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Rene Ilger 2012-08-20 09:30:01 EDT
Description of problem:
Can't upload a byteman script as child resource on the inventory page of the byteman agent. 


Version-Release number of selected component (if applicable):
RHQ-Server: 4.4.0
rhq-byteman-plugin: 4.4.0
JBoss AS 7 running with byteman 1.2.1 as agent

How reproducible:
happens on each click


Steps to Reproduce:
1. Select a platform with a running byteman (i.e. JBoss AS 7 with byteman as agent)
2. Go to the inventory page an there select the byteman agent
3. Go to the inventory page of the agent 
4. Click the button "Create child" and select "Byteman Script"
5. The error  message "Globally uncaught exception" appears (stack trace see below)
  
Actual results:
Can't upload a byteman script

Expected results:
Upload a script

Additional info:

Exception form Message Center:

com.google.gwt.core.client.JavaScriptException:(TypeError): Cannot read property 'org_rhq_core_domain_configuration_definition_ConfigurationDefinition_templates' of null
--- STACK TRACE FOLLOWS ---
(TypeError): Cannot read property 'org_rhq_core_domain_configuration_definition_ConfigurationDefinition_templates' of null
   at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_factory_ResourceFactoryCreateWizard_ResourceFactoryCreateWizard__Lorg_rhq_core_domain_resource_Resource_2Lorg_rhq_core_domain_resource_ResourceType_2Lorg_rhq_core_domain_content_PackageType_2V(Unknown Source)
   at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_factory_ResourceFactoryCreateWizard$3$1_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_factory_ResourceFactoryCreateWizard$3$1_2Lorg_rhq_core_domain_content_PackageType_2V(Unknown Source)
   at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_factory_ResourceFactoryCreateWizard$3$1_onSuccess__Ljava_lang_Object_2V(Unknown Source)
   at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown Source)
   at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown Source)
   at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown Source)
   at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown Source)
   at Unknown.anonymous(Unknown Source)
   at Unknown.com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown Source)
   at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2
Comment 1 Heiko W. Rupp 2013-07-01 08:09:12 EDT
I think that should be solved by now - are you able to retry on e.g. RHQ 4.8 ?